#
# spec file for package gap-gradedringforhomalg
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-gradedringforhomalg
Version:        2022.11.01
%define sillyver 2022.11-01
Release:        1.2
Summary:        GAP: Endow Commutative Rings with an Abelian Grading
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/GradedRingForHomalg
#Git-Clone:     https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/GradedRingForHomalg-%sillyver/GradedRingForHomalg-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.11.1
Requires:       gap-gapdoc >= 1.0
Requires:       gap-homalg >= 2011.08.16
Requires:       gap-homalgtocas >= 2022.07.01
Requires:       gap-matricesforhomalg >= 2020.06.27
Requires:       gap-modules >= 2018.02.04
Requires:       gap-ringsforhomalg >= 2022.07.01
Suggests:       gap-4ti2interface >= 2019.09.03
Suggests:       gap-nconvex >= 2020.03.02

%description
This package is part of the homalg-project and manages graded rings.

%prep
%autosetup -n GradedRingForHomalg-%sillyver

%build
rm -v doc/clean

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.11.01
  * No changelog
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.10.01
  * No changelog was provided
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.02.04
  * No changelog was provided
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 2017.09.02
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.05.26
  * No upstream changelog was provided again
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 2015.12.04
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No changelog was provided
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.08.27
  * No changelog was provided
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2014.02.04
  * No changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 2013.10.27
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split gradedringforhomalg (version 2013.02.07) off the
  gap RPM package
